# Interface LiteralTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface LiteralTree extends ExpressionTree
A tree node for a literal expression. Use `getKind` to determine the kind of literal. For example:

      value

See Java Language Specification:
  15.29 Constant Expressions
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getValue()`
  Returns the value of the literal expression.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getValue

    Object getValue()
    Returns the value of the literal expression. The value will be a boxed primitive value, a String, or `null`.
    Returns:
      the value